syntax: glob

# Ignore all targets
target
**/*.class

# Ignore IntelliJ Stuff
.idea/
*.iml
**/*.iml
*.ipr
*.iws

# Ignore eclipse stuff
.settings/
.classpath
.project
.metadata/
test-output/
.springBeans
.pydevproject
.tern-project
*-testng-*
orbtrc.*.txt
Servers/*

# Ignore ActiveMQ stuff
activemq-data/

# Ignore Hibernate stuff
.hibernateSynchronizer3/

# Ignore derby stuff
core-data/
**/derby.log

# Ignore Miscellaneous stuff
**/*.log
changes.txt
reminders.txt

# Ignore netbeans stuff
nbactions.xml

# Mac OSX temporal files
*.DS_Store
**/*.orig
*.ipr
*.iws

# se ignora asi mismo
#.hgignore

# Dependencias binarias de proyectos externos
lib/*.jar

# **/classes/**
**/target/classes/**
**/WEB-INF/classes/**

# Archivos temporales swap de python
*.swp

# Ignore  MANIFEST
*.MF

# Ignore Bin
*bin

# checkstyle
*checkstyle

# Python files
*.pyc

# Archivo de status de patches
status

# Archivos bak
*.bak

glob:.hgtags.bak

# Se quitan archivos del eclipse ultima version
META-INF/maven

# Ignoramos el package para linux-max
package.sh
*.jasper

# Archivos de configuración de NetBeans.
nb-configuration.xml
classes/

#ignore sonar files
**/altStageDir/**
altStageDir

#Ignorar los Jasper
*.jasper

#Se quitan los temporales del word
~$*

#Se quitan archivos que terminan en tilde
**/*~

# Se quitan lo generado por pmd
*.pmd
pmd-report.txt

# Se ignoran lo referente a subversion
.svn
.svn/
**/.svn/**
.svn*

# logs
logs/
logs/**
**/logs/**
target/